=== debian/changelog ===
htslib (1.16+ds-2) unstable; urgency=medium

  * Team Upload.
  * Copy htslib.pc.in also to AUTOPKGTEST_TMP
  * Pass correct upstream version so as to not get the +ds
    non-sense in SOVERSIONS

 -- Nilesh Patra <nilesh@debian.org>  Sat, 01 Oct 2022 11:01:03 +0530

htslib (1.16+ds-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Fix lintian-overrides
  * Fix build options to make sure symbols will remain in library

 -- Andreas Tille <tille@debian.org>  Fri, 30 Sep 2022 11:23:39 +0200

htslib (1.14+ds-1~exp1) experimental; urgency=medium

  * New upstream version
  * Remove constraints unnecessary since buster:
    + libhts3: Drop versioned constraint on python3-pysam in Breaks.

 -- Andreas Tille <tille@debian.org>  Tue, 07 Dec 2021 08:28:36 +0100
