=== debian/changelog ===
htslib (1.17+ds-1) unstable; urgency=medium

  * Migrate htslib to unstable.
  * d/control: declare libhts3 breaks samtools < 1.17.

 -- Étienne Mollier <emollier@debian.org>  Thu, 22 Jun 2023 22:21:42 +0200

htslib (1.17+ds-0+exp1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * d/control: fix indentation in build dependencies
  * d/control: clear fields with obsolete packages
  * Patches triage:
    - no_git_version patch: forwarding not-needed
    - fPIC.patch: unfuzz
    - cram_to_bam_export.patch: unfuzz
    - fix_sequence_of_linked_libs.patch: unfuzz
    - trim-file-prefix.patch: refresh
  * fix-cram-external-header.patch: new patch.
    This fixes a FTBFS caused by a typo in the source code.
  * d/libhts3.symbols: update symbols table.
    Upstream is now tracking symbols versioning.  The change is large with
    numerous missing entries, but that is because of the "@Base" being
    replaced by the versioned "@HTSLIB_*" entries.
  * d/t/run-unit-test: copy htslib.map.
    This file is needed for one of the linking tests done during the
    autopkgtest run, otherwise it fails.
  * fix-whatis-entry.patch: new patch.
    This change fixes a bad whatis(1) entry caught by lintian.

 -- Étienne Mollier <emollier@debian.org>  Sun, 11 Jun 2023 20:10:19 +0200

htslib (1.16+ds-3) unstable; urgency=medium

  * d/rules: make sure libdir and plugindir are defined.
    Thanks to James Bonfield
  * d/libhts3.install: relocate plugins following fix at configure step.
  * d/*.install: remove dh-exec shebang.
  * d/control: remove build-dependency to dh-exec.
  * disable_plugin_loading_test.patch: remove; test is supposed to pass.
  * d/rules: do not erase LDFLAGS; fix the aforementioned test failure
    by restoring -rdynamic flag supposed to be passed to the linker.
  * d/patches/: remove unused patches.
  * trim-file-prefix.patch: add; improve reproducible build.

 -- Étienne Mollier <emollier@debian.org>  Wed, 19 Oct 2022 22:25:57 +0200
