## htslib 1.18+ds

=== debian/changelog ===
htslib (1.18+ds-1) unstable; urgency=medium

  * Migrate htslib 1.18 from experimental to unstable.

 -- Étienne Mollier <emollier@debian.org>  Tue, 07 Nov 2023 19:46:30 +0100

htslib (1.18+ds-0+exp1) experimental; urgency=medium

  * New upstream version 1.18+ds
  * testShebang.patch: refresh.
  * fix_float_precision: refresh patch.
  * cram_to_bam_export.patch: refresh.
  * fix_sequence_of_linked_libs.patch: refresh.
  * trim-file-prefix.patch: refresh.
  * fix-cram-external-header.patch: remove: applied upstream.
  * fix-whatis-entry.patch: remove: applied upstream.
  * debian/*.symbols*: introduce new symbols.
  * d/copyright: update upstream copyright year.

 -- Étienne Mollier <emollier@debian.org>  Wed, 23 Aug 2023 18:42:10 +0200
