=== debian/control ===
--- 
+++ 
@@ -8,15 +8,14 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-exec,
                libbz2-dev,
                libcurl4-gnutls-dev,
                liblzma-dev,
                libssl-dev,
                zlib1g-dev,
-	       libdeflate-dev,
+               libdeflate-dev,
                libhtscodecs-dev (>= 1.0)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/htslib
 Vcs-Git: https://salsa.debian.org/med-team/htslib.git
 Homepage: https://github.com/samtools/htslib
@@ -29,11 +28,11 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Replaces: libhts-dev (<< 1.13~)
 Breaks: libtabixpp (<< 1.0.0-5~),
         libhts-dev (<< 1.13~),
-        samtools (<< 1.13~),
+        samtools (<< 1.17~),
         ivar (<< 1.3.1~)
+Replaces: libhts-dev (<< 1.13~)
 Description: C library for high-throughput sequencing data formats
  HTSlib is an implementation of a unified C library for accessing common file
  formats, such as SAM (Sequence Alignment/Map), CRAM and VCF (Variant Call
@@ -77,8 +76,6 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${perl:Depends}
-Breaks: libhts-private-dev
-Replaces: libhts-private-dev
 Description: Test data for HTSlib
  HTSlib is an implementation of a unified C library for accessing common file
  formats, such as SAM (Sequence Alignment/Map), CRAM and VCF (Variant Call
