## htslib 1.19+ds

=== debian/changelog ===
htslib (1.19+ds-1.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:25:58 +0000

htslib (1.19+ds-1.1build2) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:59:31 +0000

htslib (1.19+ds-1.1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:12:45 +0000

htslib (1.19+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062344

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 10:41:39 +0000

htslib (1.19+ds-1) unstable; urgency=medium

  * Migrate htslib 1.19 from experimental to unstable.

 -- Étienne Mollier <emollier@debian.org>  Sat, 17 Feb 2024 11:42:52 +0100

htslib (1.19+ds-0+exp0) experimental; urgency=medium

  * New upstream version 1.19+ds
  * fix_float_precision: refresh patch.
  * fix_sequence_of_linked_libs: refresh patch.
  * trim-file-prefix.patch: refresh.
  * d/libhts3.symbols: remove a recorded symbol(!)
    bgzf_idx_amend_last was recorded by accident and is not part of the
    internals of the htslib anymore.  Reverse dependencies had no way of
    using this function by accident, as it is not part of the public API,
    and preliminary tests against reverse dependencies show no regressions
    seemingly related to the missing symbol.
  * reinject-bgzf_idx_amend_last.patch: unapplied new.
    This patch is kept handy to reintroduce missing bgzf_idx_amend_last
    symbol if need be, but it is not applied yet.

 -- Étienne Mollier <emollier@debian.org>  Fri, 15 Dec 2023 22:25:33 +0100
