=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: htslib
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>,
            Michael R. Crusoe <crusoe@debian.org>,
@@ -7,7 +8,7 @@
            Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                libbz2-dev,
                libcurl4-gnutls-dev,
                liblzma-dev,
@@ -21,18 +22,20 @@
 Homepage: https://github.com/samtools/htslib
 Rules-Requires-Root: no
 
-Package: libhts3
+Package: libhts3t64
+Provides: ${t64:Provides}
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: libtabixpp (<< 1.0.0-5~),
+Breaks: libhts3 (<< ${source:Version}),
+        libtabixpp (<< 1.0.0-5~),
         libhts-dev (<< 1.13~),
         samtools (<< 1.17~),
         ivar (<< 1.3.1~)
-Replaces: libhts-dev (<< 1.13~)
+Replaces: libhts3, libhts-dev (<< 1.13~)
 Description: C library for high-throughput sequencing data formats
  HTSlib is an implementation of a unified C library for accessing common file
  formats, such as SAM (Sequence Alignment/Map), CRAM and VCF (Variant Call
@@ -48,7 +51,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libhts3 (= ${binary:Version}),
+Depends: libhts3t64 (= ${binary:Version}),
          libcurl4-gnutls-dev,
          libdeflate-dev,
          liblzma-dev,
