## htslib 1.20+ds

=== debian/changelog ===
htslib (1.20+ds-1) unstable; urgency=medium

  * New upstream version 1.20+ds
  * d/copyright: update copyright year.
  * d/control: declare compliance to standards version 4.7.0.
  * Patch fix_float_precision: refresh.
  * testShebang.patch: unfuzz.
  * d/libhts3t64.symbols: introduce new upstream functions.

 -- Étienne Mollier <emollier@debian.org>  Wed, 29 May 2024 12:25:07 +0200
