## htslib 1.21%2Bds

=== debian/control ===
--- 
+++ 
@@ -50,7 +50,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libhts3t64 (= ${binary:Version}),
+Depends: libbz2-dev,
+         libhts3t64 (= ${binary:Version}),
          libcurl4-gnutls-dev,
          libdeflate-dev,
          liblzma-dev,
