=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,8 @@
 # Prune +,ds etc from version
 UPSTREAM_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/+.*//')
 
+libdir = /usr/lib/$(DEB_HOST_MULTIARCH)
+plugindir = $(libdir)/htslib
 
 %:
 	dh $@
@@ -32,16 +34,23 @@
 	# create clean copy of test dir
 	cp -a test test_backup
 	# to help with cross building, otherwise MMAP might get turned off
-	export ac_cv_func_mmap_fixed_mapped=yes && autoconf && \
-	dh_auto_configure -- --enable-libcurl --enable-gcs --enable-s3 --enable-plugins --with-plugin-dir='$(libdir)/htslib' --with-external-htscodecs --with-plugin-path='/usr/local/lib/htslib:/usr/local/libexec/htslib:$(plugindir)'
+	export ac_cv_func_mmap_fixed_mapped=yes \
+	&& autoconf \
+	&& dh_auto_configure -- \
+		--enable-libcurl \
+		--enable-gcs \
+		--enable-s3 \
+		--enable-plugins \
+		--with-plugin-dir='$(libdir)/htslib' \
+		--with-external-htscodecs \
+		--with-plugin-path='/usr/local/lib/htslib:/usr/local/libexec/htslib:$(plugindir)'
 
 override_dh_auto_build-arch:
 	dh_auto_build -- \
 	  CFLAGS="$$(dpkg-buildflags --get CFLAGS)" \
 	  CPPFLAGS="-I. -DSAMTOOLS=1 $$(dpkg-buildflags --get CPPFLAGS)" \
-	  LDFLAGS="$$(dpkg-buildflags --get LDFLAGS)" \
 	  PACKAGE_VERSION="$(UPSTREAM_VERSION)" \
-	  libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
+	  libdir=$(libdir)
 # re-try later	  LDLIBS=-lhts \
 
 override_dh_auto_build-indep:
@@ -53,9 +62,8 @@
 	dh_auto_install -- prefix=/usr \
 	  CFLAGS="$$(dpkg-buildflags --get CFLAGS)" \
 	  CPPFLAGS="-I. -DSAMTOOLS=1 $$(dpkg-buildflags --get CPPFLAGS)" \
-	  LDFLAGS="$$(dpkg-buildflags --get LDFLAGS)" \
 	  PACKAGE_VERSION="$(UPSTREAM_VERSION)" \
-	  libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
+	  libdir=$(libdir)
 	# restore clean copy of test dir before dh_install is run
 	# This should not be done earlier since dh_auto_install contains some unconditional removals
 	$(RM) -r test
@@ -72,9 +80,8 @@
 	dh_auto_test -- \
 	  CFLAGS="$$(dpkg-buildflags --get CFLAGS)" \
 	  CPPFLAGS="-I. -DSAMTOOLS=1 $$(dpkg-buildflags --get CPPFLAGS)" \
-	  LDFLAGS="$$(dpkg-buildflags --get LDFLAGS)" \
 	  PACKAGE_VERSION="$(UPSTREAM_VERSION)" \
-	  libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
+	  libdir=$(libdir) \
 	  || \
 	  if find . -name "FAIL*" > /dev/null ; then \
 	    for file in $$(find . -name "FAIL*"); do echo $${file}; cat $${file}; done && false ; \
