## htslib 1.21+ds

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for htslib, a C library for high-throughput sequencing data formats.
 #
-#    Copyright (C) 2013-2023 Genome Research Ltd.
+#    Copyright (C) 2013-2024 Genome Research Ltd.
 #
 #    Author: John Marshall <jm18@sanger.ac.uk>
 #
@@ -68,6 +68,7 @@
 plugindir =
 
 BUILT_PROGRAMS = \
+	annot-tsv \
 	bgzip \
 	htsfile \
 	tabix
@@ -84,8 +85,10 @@
 	test/test_expr \
 	test/test_faidx \
 	test/test_kfunc \
+	test/test_khash \
 	test/test_kstring \
 	test/test_mod \
+	test/test_nibbles \
 	test/test_realn \
 	test/test-regidx \
 	test/test_str2int \
@@ -110,8 +113,14 @@
 	test/thrash_threads6 \
 	test/thrash_threads7
 
-all: lib-static lib-shared $(BUILT_PROGRAMS) plugins $(BUILT_TEST_PROGRAMS) \
-     htslib_static.mk htslib-uninstalled.pc
+all: lib-static lib-shared $(BUILT_PROGRAMS) plugins \
+	$(BUILT_TEST_PROGRAMS) htslib_static.mk htslib-uninstalled.pc
+
+# Report compiler and version
+cc-version:
+	-@$(CC) --version  2>/dev/null || true
+	-@$(CC) --qversion 2>/dev/null || true
+	-@$(CC) -V         2>/dev/null || true
 
 ALL_CPPFLAGS = -I. $(CPPFLAGS)
 
@@ -126,9 +135,15 @@
 srcprefix =
 HTSPREFIX =
 
+# Flags for SIMD code
 HTS_CFLAGS_AVX2 =
 HTS_CFLAGS_AVX512 =
 HTS_CFLAGS_SSE4 =
+
+# Control building of SIMD code.  Not used if configure has been run.
+HTS_BUILD_AVX2 =
+HTS_BUILD_AVX512 =
+HTS_BUILD_SSE4 =
 
 include htslib_vars.mk
 include htscodecs.mk
@@ -143,12 +158,8 @@
 # is not strictly necessary and should be removed the next time
 # LIBHTS_SOVERSION is bumped (see #1144 and
 # https://developer.apple.com/library/archive/documentation/DeveloperTools/Conceptual/DynamicLibraries/100-Articles/DynamicLibraryDesignGuidelines.html#//apple_ref/doc/uid/TP40002013-SW23)
-MACH_O_COMPATIBILITY_VERSION = 3.1.17
-MACH_O_CURRENT_VERSION = 3.1.17
-
-# $(NUMERIC_VERSION) is for items that must have a numeric X.Y.Z string
-# even if this is a dirty or untagged Git working tree.
-NUMERIC_VERSION := $(shell $(srcdir)/version.sh numeric)
+MACH_O_COMPATIBILITY_VERSION = 3.1.21
+MACH_O_CURRENT_VERSION = 3.1.21
 
 # Force version.h to be remade if $(PACKAGE_VERSION) has changed.
 version.h: $(if $(wildcard version.h),$(if $(findstring "$(PACKAGE_VERSION)",$(shell cat version.h)),,force))
@@ -161,7 +172,6 @@
 
 show-version:
 	@echo PACKAGE_VERSION = $(PACKAGE_VERSION)
-	@echo NUMERIC_VERSION = $(NUMERIC_VERSION)
 
 config_vars.h: override escape=$(subst ',\x27,$(subst ",\",$(subst \,\\,$(1))))
 config_vars.h: override hts_cc_escaped=$(call escape,$(CC))
@@ -206,6 +216,8 @@
 	regidx.o \
 	region.o \
 	sam.o \
+	sam_mods.o \
+	simd.o \
 	synced_bcf_reader.o \
 	vcf_sweep.o \
 	tbx.o \
@@ -243,6 +255,7 @@
 cram_structs_h = cram/cram_structs.h $(htslib_thread_pool_h) $(htslib_cram_h) cram/string_alloc.h cram/mFILE.h $(htslib_khash_h)
 cram_open_trace_file_h = cram/open_trace_file.h cram/mFILE.h
 bcf_sr_sort_h = bcf_sr_sort.h $(htslib_synced_bcf_reader_h) $(htslib_kbitset_h)
+fuzz_settings_h = fuzz_settings.h
 header_h = header.h cram/string_alloc.h cram/pooled_alloc.h $(htslib_khash_h) $(htslib_kstring_h) $(htslib_sam_h)
 hfile_internal_h = hfile_internal.h $(htslib_hts_defs_h) $(htslib_hfile_h) $(textutils_internal_h)
 hts_internal_h = hts_internal.h $(htslib_hts_h) $(textutils_internal_h)
@@ -274,7 +287,11 @@
 	echo '#endif' >> $@
 	echo '#define HAVE_DRAND48 1' >> $@
 	echo '#define HAVE_LIBCURL 1' >> $@
-	if [ "x$(HTS_CFLAGS_SSE4)" != "x" ] ; then \
+	if [ "x$(HTS_HAVE_CPUID)" != "x" ]; then \
+	    echo '#define HAVE_DECL___CPUID_COUNT 1' >> $@ ; \
+	    echo '#define HAVE_DECL___GET_CPUID_MAX 1' >> $@ ; \
+	fi
+	if [ "x$(HTS_BUILD_SSE4)" != "x" ]; then \
 	    echo '#define HAVE_POPCNT 1' >> $@ ; \
 	    echo '#define HAVE_SSE4_1 1' >> $@ ; \
 	    echo '#define HAVE_SSSE3 1' >> $@ ; \
@@ -282,12 +299,19 @@
 	    echo '#define UBSAN 1' >> $@ ; \
 	    echo '#endif' >> $@ ; \
 	fi
-	if [ "x$(HTS_CFLAGS_AVX2)" != "x" ] ; then \
+	if [ "x$(HTS_BUILD_AVX2)" != "x" ] ; then \
 	    echo '#define HAVE_AVX2 1' >> $@ ; \
 	fi
-	if [ "x$(HTS_CFLAGS_AVX512)" != "x" ] ; then \
+	if [ "x$(HTS_BUILD_AVX512)" != "x" ] ; then \
 	    echo '#define HAVE_AVX512 1' >> $@ ; \
 	fi
+	echo '#if defined __x86_64__ || defined __arm__ || defined __aarch64__' >> $@
+	echo '#define HAVE_ATTRIBUTE_CONSTRUCTOR 1' >> $@
+	echo '#endif' >> $@
+	echo '#if (defined(__x86_64__) || defined(_M_X64))' >> $@
+	echo '#define HAVE_ATTRIBUTE_TARGET 1' >> $@
+	echo '#define HAVE_BUILTIN_CPU_SUPPORT_SSSE3 1' >> $@
+	echo '#endif' >> $@
 
 # And similarly for htslib.pc.tmp ("pkg-config template").  No dependency
 # on htslib.pc.in listed, as if that file is newer the usual way to regenerate
@@ -331,24 +355,3 @@
 ifneq "$(BUILT_PLUGINS)" ""
 plugins: lib-shared
 endif
-plugins: $(BUILT_PLUGINS)
-
-
-libhts.a: $(LIBHTS_OBJS)
-	@-rm -f $@
-	$(AR) -rc $@ $(LIBHTS_OBJS)
-	-$(RANLIB) $@
-
-print-config:
-	@echo HTS_CFLAGS_AVX2 = $(HTS_CFLAGS_AVX2)
-	@echo HTS_CFLAGS_AVX512 = $(HTS_CFLAGS_AVX512)
-	@echo HTS_CFLAGS_SSE4 = $(HTS_CFLAGS_SSE4)
-	@echo HTS_HAVE_NEON = $(HTS_HAVE_NEON)
-	@echo LDFLAGS = $(LDFLAGS)
-	@echo LIBHTS_OBJS = $(LIBHTS_OBJS)
-	@echo LIBS = $(LIBS)
-	@echo PLATFORM = $(PLATFORM)
-
-# The target here is libhts.so, as that is the built file that other rules
-# depend upon and that is used when -lhts appears in other program's recipes.
-# As a byproduct invisible to make, libhts.so.NN is also created, as it is the
