=== debian/changelog ===
htslib (1.21+ds-1) unstable; urgency=medium

  * Migrate htslib 1.21 from experimental to unstable.

 -- Étienne Mollier <emollier@debian.org>  Thu, 06 Feb 2025 21:23:41 +0100

htslib (1.21+ds-0+exp2) experimental; urgency=medium

  * d/libhts3t64.symbols: htslib_nibble2base is architecture specific.
    This symbol is an alternative function to nibble2base_default when
    SSSE3 or NEON vector instructions are available, limiting the set of
    supported architectures to a peculiar set.  Updating the symbol table
    so it matches exposed list on architectures that do not support the
    accelerated symbol.

 -- Étienne Mollier <emollier@debian.org>  Wed, 13 Nov 2024 20:47:53 +0100

htslib (1.21+ds-0+exp1) experimental; urgency=medium

  * New upstream version 1.21+ds
  * cram_to_bam_export.patch: delete: upstream exposed cram_to_bam.
    Note that cram_to_bam is an internal symbol that should not be used
    in normal situations.
  * d/patches/*: unfuzz patches.
  * d/libhts3t64.symbols: record newly introduced symbols.
  * fix_sequence_of_linked_libs.patch: normalise Last-Update.
  * d/libhts3t64.lintian-overrides: delete.
    package-name-doesnt-match-sonames was now an unused override.
  * d/htslib-test.lintian-overrides: flag false positive documentation.
  * d/libhts-dev.lintian-overrides: new.
    Hide the unstripped-static-library affecting libhts.a.  A comment in
    d/rules suggests symbols are needed by reverse dependency sambamba.

 -- Étienne Mollier <emollier@debian.org>  Tue, 12 Nov 2024 23:06:44 +0100

htslib (1.20+ds-2) unstable; urgency=medium

  * Team upload.
  * d/control: libhts-dev: Add missing dependency on libbz2-dev.
    Closes: #1086367, #1086368.

 -- Santiago Vila <sanvila@debian.org>  Thu, 31 Oct 2024 18:32:00 +0100
